.\" shorthand for double quote that works everywhere.
.ds q \N'34'
.TH freedreno  __drivermansuffix__ __vendorversion__
.SH NAME
freedreno \- X.Org driver for Adreno mobile GPUs
.SH SYNOPSIS
.nf
.B "Section \*qDevice\*q"
.BI "  Identifier \*q"  devname \*q
.B  "  Driver \*qfreedreno\*q"
\ \ ...
.B EndSection
.fi
.SH DESCRIPTION
.B freedreno
is an open/free __xservername__ driver for Adreno mobile GPUs.  The driver supports either the drm/msm kernel driver (recommended) or kgsl+fbdev (for compatibility with android kernel).  In the former case, it supports xrandr, page flipping, hardware cursor, etc.
.SH SUPPORTED HARDWARE
.B freedreno
supports the z180, a22x, and a3xx mobile GPUs (as found in APQ8060, APQ8060A, APQ8064, APQ8x74, etc.)

.SH CONFIGURATION DETAILS
Please refer to __xconfigfile__(__filemansuffix__) for general configuration
details.  This section only covers configuration details specific to this
driver.
.PP
The following driver
.B Options
are supported
.TP
.BI "Option \*qDebug\*q \*q" boolean \*q
Enable debug logging.
.IP
Default: Disabled
.TP
.BI "Option \*qNoAccel\*q \*q" boolean \*q
Disable hw acceleration.
.IP
Default: Disabled
.TP
.BI "Option \*qSWCursor\*q \*q" boolean \*q
Disable HW mouse cursor.
.IP
Default: Disabled
.TP
.BI "Option \*qSWRefresher\*q \*q" boolean \*q
Enable SW Refresher.  Only applicable for fbdev/kgsl, unused for drm/msm.
.IP
Default: Enabled
.TP
.BI "Option \*qexamask\*q \*q" integer \*q
Bitmask of enabled EXA functions: 1-Solid, 2-Copy, 4-Composite.
Mostly intended for debugging.
.IP
Default: 7
.TP
.BI "Option \*qfb\*q \*q" string \*q
Path to fbdev device file.  Required to use fbdev/kgsl, unused for drm/msm.
.IP
Default: none

.SH OUTPUT CONFIGURATION
The driver supports runtime configuration of detected outputs.  You can use the
.B xrandr
tool to control outputs on the command line as follows:

.RS
.B xrandr \-\-output
.I output
.B \-\-set
.I property value
.RE

Note that you may need to quote property and value arguments that contain spaces.
Each output listed below may have one or more properties associated
with it (like a binary EDID block if one is found).  Some outputs have
unique properties which are described below.  See the "MULTIHEAD
CONFIGURATIONS" section below for additional information.

.SS "HDMI-1"
First DVI/HDMI output.

.PP
See __xconfigfile__(__filemansuffix__) for information on associating Monitor
sections with these outputs for configuration.  Associating Monitor sections
with each output can be helpful if you need to ignore a specific output, for
example, or statically configure an extended desktop monitor layout.

.SH MULTIHEAD CONFIGURATIONS

The number of independent outputs is dictated by the number of CRTCs
(in X parlance) a given chip supports.   The actual number of
displays supported will depend on the device/board.  But a built-in LCD and
external HDMI are a common configuration.

You can use the "xrandr" tool, or various desktop utilities, to change
your output configuration at runtime.  To statically configure your
outputs, you can use the "Monitor-<type>" options along with
additional monitor sections in your xorg.conf to create your screen
topology.  The example below puts the VGA output to the right of the
builtin laptop screen, both running at 1024x768.

.nf
.B "Section \*qMonitor\*q"
.BI "  Identifier \*qLaptop FooBar Internal Display\*q"
.BI "  Option \*qPosition\*q \*q0 0\*q"
.B "EndSection"

.B "Section \*qMonitor\*q"
.BI "  Identifier \*qSome Random CRT\*q"
.BI "  Option \*qPosition\*q \*q1024 0\*q"
.BI "  Option \*qRightOf\*q \*qLaptop FoodBar Internal Display\*q"
.B "EndSection"

.B "Section \*qDevice\*q"
.BI "  Driver \*qfreedreno\*q"
.BI "  Option \*qmonitor-LVDS\*q \*qLaptop FooBar Internal Display\*q"
.BI "  Option \*qmonitor-VGA\*q \*qSome Random CRT\*q"
.B "EndSection"

.SH REPORTING BUGS

The xf86-video-freedreno driver is part of the X.Org and Freedesktop.org
umbrella projects.  Report bugs at
https://bugs.freedesktop.org/enter_bug.cgi?product=xorg.  Mailing
lists are also commonly used to report experiences and ask questions
about configuration and other topics.  See lists.freedesktop.org for
more information (the xorg@lists.freedesktop.org mailing list is the
most appropriate place to ask X.Org and driver related questions).

.SH "SEE ALSO"
__xservername__(__appmansuffix__), __xconfigfile__(__filemansuffix__), Xserver(__appmansuffix__), X(__miscmansuffix__)
.SH AUTHORS
Authors include: Rob Clark.

Originally/loosely based on xf86-video-msm.
